summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Petar Petrov2011-12-11 16:44:31 +0100
committer Niels Horn2011-12-18 03:07:45 +0100
commit3df8e4c4c15beff68e9b3285640f72d77e28dea6 (patch)
tree429633ba0aafc24b68ae4abbe7e636840864ded6 /desktop
parented939868a5cfb50f10f4a8c75e8eadf7be973019 (diff)
downloadslackbuilds-3df8e4c4c15beff68e9b3285640f72d77e28dea6.tar.gz
desktop/clearlooks-classic-themes: Added (classic clearlooks themes)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/clearlooks-classic-themes/README8
-rw-r--r--desktop/clearlooks-classic-themes/clearlooks-classic-themes.SlackBuild69
-rw-r--r--desktop/clearlooks-classic-themes/clearlooks-classic-themes.info10
-rw-r--r--desktop/clearlooks-classic-themes/slack-desc19
4 files changed, 106 insertions, 0 deletions
diff --git a/desktop/clearlooks-classic-themes/README b/desktop/clearlooks-classic-themes/README
new file mode 100644
index 0000000000..ee2a11813d
--- /dev/null
+++ b/desktop/clearlooks-classic-themes/README
@@ -0,0 +1,8 @@
+This includes the following Clearlooks themes:
+
+- Clearlooks Classic
+- Clearlooks Deep Sky
+- Clearlooks Olive
+- Clearlooks Quicksilver
+
+To use the themes, you need gtk-engines.
diff --git a/desktop/clearlooks-classic-themes/clearlooks-classic-themes.SlackBuild b/desktop/clearlooks-classic-themes/clearlooks-classic-themes.SlackBuild
new file mode 100644
index 0000000000..216adc7639
--- /dev/null
+++ b/desktop/clearlooks-classic-themes/clearlooks-classic-themes.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for clearlooks-classic-themes
+
+# Copyright 2011 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=clearlooks-classic-themes
+VERSION=${VERSION:-0.6.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+SRCNAM=clearlooks
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd themes
+install -D -m644 Clearlooks/gtk-2.0/gtkrc $PKG/usr/share/themes/Clearlooks-Classic/gtk-2.0/gtkrc
+install -D -m644 Clearlooks-DeepSky/gtk-2.0/gtkrc $PKG/usr/share/themes/Clearlooks-Deepsky/gtk-2.0/gtkrc
+install -D -m644 Clearlooks-Olive/gtk-2.0/gtkrc $PKG/usr/share/themes/Clearlooks-Olive/gtk-2.0/gtkrc
+install -D -m644 Clearlooks-Quicksilver/gtk-2.0/gtkrc $PKG/usr/share/themes/Clearlooks-Quicksilver/gtk-2.0/gtkrc
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING CREDITS INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/clearlooks-classic-themes/clearlooks-classic-themes.info b/desktop/clearlooks-classic-themes/clearlooks-classic-themes.info
new file mode 100644
index 0000000000..ea7539f914
--- /dev/null
+++ b/desktop/clearlooks-classic-themes/clearlooks-classic-themes.info
@@ -0,0 +1,10 @@
+PRGNAM="clearlooks-classic-themes"
+VERSION="0.6.2"
+HOMEPAGE="http://clearlooks.sourceforge.net/index-old.html"
+DOWNLOAD="http://downloads.sourceforge.net/clearlooks/clearlooks-0.6.2.tar.bz2"
+MD5SUM="451ef33d1bffa261c5cbe01182199f97"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="rworkman"
diff --git a/desktop/clearlooks-classic-themes/slack-desc b/desktop/clearlooks-classic-themes/slack-desc
new file mode 100644
index 0000000000..50e99f7def
--- /dev/null
+++ b/desktop/clearlooks-classic-themes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+clearlooks-classic-themes: clearlooks-classic-themes (The classic Clearlooks themes)
+clearlooks-classic-themes:
+clearlooks-classic-themes: Themes included are Clearlooks Classic, Clearlooks Deep Sky,
+clearlooks-classic-themes: Clearlooks Olive and Clearlooks Quicksilver.
+clearlooks-classic-themes:
+clearlooks-classic-themes:
+clearlooks-classic-themes:
+clearlooks-classic-themes:
+clearlooks-classic-themes:
+clearlooks-classic-themes:
+clearlooks-classic-themes: